#ifndef __mor_stdio_h__
#define __mor_stdio_h__

#ifndef __cdecl_h__
#include <cdecl.h>
#endif

#ifndef __stdio_h__
#include <stdio.h>
#endif

_EXTERN (int_ eputc (int_));
_EXTERN (int_ eputs (const char *));
_EXTERN (int_ putstring (const char *));
_EXTERN (void emallocmap (void_));

#ifndef __NO_MOR_STDIO_INLINE__

#define emallocmap() fmallocmap (stderr)
#define eputc(c) fputc ((c), stderr)
#define eputs(s) fputs ((s), stderr)
#define putstring(s) fputs ((s), stdout)

#endif /* __NO_MOR_STDIO_INLINE__ */

#endif
